#include <sys/types.h>
#include <unistd.h>

#define FAXMAILER_AGENT "/usr/contrib/fax/bin/faxmailer-agent"

main(int argc, char *argv[])
{
	setruid(geteuid());
	setrgid(getegid());

	execvp(FAXMAILER_AGENT, argv);

	/*
	 * This really shouldn't happen, but who knows ...
	 * ``Man hat schon Pferde vor der Apotheke kotzen sehen'' --- German 
	 * saying
	 */
	exit(-1);
}
